1. #1
    Membre du Club
    Profil pro
    Inscrit en
    juin 2003
    Messages
    66
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : juin 2003
    Messages : 66
    Points : 42
    Points
    42

    Par défaut Migration de MinGW32 vers VC++ 2015 en 64 bits : bibliothèques externes non reconnues

    Bonjour,

    J'utilise 2 caméras ids. Mon PC est sous windows7 64bits. Avant je développais sous Qt Creator avec un compilateur MinGW 32 bits.
    dans mon projet le .pro contenait les lignes suivantes:

    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    #-------- Lib Ueye --------
    LIBS += -L"C:\Program Files\IDS\uEye\Develop\Lib"
    LIBS += -lueye_tools -luEye_api
     
    INCLUDEPATH += "C:\Program Files\IDS\uEye\Develop\include"
    DEPENDPATH += "C:\Program Files\IDS\uEye\Develop\Lib"
    #--------------------------
    Maintenant je suis passé sous Qt Creator avec compilateur VS2015 en 64 bits.
    mon .pro est le suivant
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
     
    #-------- Lib Ueye --------
    LIBS += -L"C:\Program Files\IDS\uEye\Develop\Lib"
    LIBS += -lueye_tools_64 -luEye_api_64
     
    INCLUDEPATH += "C:\Program Files\IDS\uEye\Develop\include"
    DEPENDPATH += "C:\Program Files\IDS\uEye\Develop\Lib"
    #--------------------------
    Cependant, cela me fait des erreurs du style :

    kcamera.obj:-1: erreur : LNK2019: symbole externe non résolu __imp_is_StopLiveVideo référencé dans la fonction "public: bool __cdecl KCamera::stopStream(void)" (?stopStream@KCamera@@QEAA_NXZ)

    Avez vous une idée de correction, merci d'avance.
    ce qui ne te tue pas te rend plus fort

  2. #2
    Responsable Qt


    Avatar de dourouc05
    Homme Profil pro
    Ingénieur de recherches
    Inscrit en
    août 2008
    Messages
    22 319
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Val de Marne (Île de France)

    Informations professionnelles :
    Activité : Ingénieur de recherches
    Secteur : Enseignement

    Informations forums :
    Inscription : août 2008
    Messages : 22 319
    Points : 121 654
    Points
    121 654

    Par défaut



    Les fichiers d'import de bibliothèque dépendent fortement du compilateur que tu utilises : les mêmes fichiers ne pourront pas servir pour GCC/MinGW ou pour Visual C++. Les bibliothèques pour ta caméra sont-elles bien compatibles avec Visual C++ ? Si oui, avec la version que tu utilises ? Tous ces paramètres ont leur importance (malheureusement…).
    Vous souhaitez participer aux rubriques Qt ou PyQt (tutoriels, FAQ, traductions) ? Contactez-moi par MP.

    Nouveau ! Créer des applications graphiques en Python avec PyQt5
    Créer des applications avec Qt 5.

    Pas de question d'ordre technique par MP !

  3. #3
    Membre du Club
    Profil pro
    Inscrit en
    juin 2003
    Messages
    66
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : juin 2003
    Messages : 66
    Points : 42
    Points
    42

    Par défaut

    Je ne suis pas sur à 100% mais en théorie oui,
    Le fournisseur fournit la plupart de ses exemples sous VisualStudio et il fournit les versions 64bits.

    Pour être certains j'ai réinstallé la dernière version de ses pilotes.
    Quand je fais dans un fichier l'include du .h l'autocomplétion me le propose bien donc j'ai l'impression que l'include est bien fait.
    ce qui ne te tue pas te rend plus fort

  4. #4
    Responsable Qt


    Avatar de dourouc05
    Homme Profil pro
    Ingénieur de recherches
    Inscrit en
    août 2008
    Messages
    22 319
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Val de Marne (Île de France)

    Informations professionnelles :
    Activité : Ingénieur de recherches
    Secteur : Enseignement

    Informations forums :
    Inscription : août 2008
    Messages : 22 319
    Points : 121 654
    Points
    121 654

    Par défaut

    A priori, les fichiers d'en-tête (.h) sont identiques pour toutes les versions de Visual Studio, voire aussi pour MinGW. Par contre, les .lib et .a, non. Pas mal d'infos ne sont accessibles que moyennant enregistrement sur le site du fabricant ; pendant l'installation, l'assistant te proposait-il de choisir une version de Visual Studio ? C'est souvent le cas quand les bibliothèques sont utilisables sur plusieurs versions de VC++.

    Sinon, apparemment, tu peux utiliser directement le composant COM (ce que tu peux faire avec Qt, avec ActiveQt). Là, c'est indépendant de la version du compilateur .
    Vous souhaitez participer aux rubriques Qt ou PyQt (tutoriels, FAQ, traductions) ? Contactez-moi par MP.

    Nouveau ! Créer des applications graphiques en Python avec PyQt5
    Créer des applications avec Qt 5.

    Pas de question d'ordre technique par MP !

  5. #5
    Membre du Club
    Profil pro
    Inscrit en
    juin 2003
    Messages
    66
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : juin 2003
    Messages : 66
    Points : 42
    Points
    42

    Par défaut

    En fait ma première solution était la bonne et mes lib sont ok.
    En fait après avoir réinstallé la dernière version, j'ai relancé mon projet et nettoyer celà ne suffisait pas, quand j'ai executé qmake, cela à résolu mon problème à priori.

    Merci des tes réponses dourouc05
    ce qui ne te tue pas te rend plus fort

+ Répondre à la discussion
Cette discussion est résolue.

Discussions similaires

  1. Réponses: 1
    Dernier message: 01/02/2005, 12h56
  2. [VB.NET] Conseil migration d'ADO vers ADO.NET
    Par daner06 dans le forum Windows Forms
    Réponses: 2
    Dernier message: 02/12/2004, 08h57
  3. [Forms]migration forms 6 vers forms 8
    Par anthonychery dans le forum Oracle
    Réponses: 7
    Dernier message: 17/11/2004, 17h54
  4. Demande de conseil pour migration de lignes vers colonnes
    Par ririd dans le forum Administration
    Réponses: 6
    Dernier message: 04/11/2004, 17h02
  5. [SYBASE] migration ASE12.0 vers ASE12.5
    Par sybase dans le forum Sybase
    Réponses: 1
    Dernier message: 25/10/2004, 15h53

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo